# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-Tester
Version:	0.109
Release:	4.%{__distinit}%{__distvers}
Summary:	Ease testing test modules built with Test::Builder
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-Tester/
Source0:	http://search.cpan.org/CPAN/authors/id/F/FD/FDALY/Test-Tester-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Config)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(threads::shared)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
If you have written a test module based on Test::Builder then Test::Tester
allows you to test it with the minimum of effort.

%prep
%setup -q -n Test-Tester-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc ARTISTIC CHANGES README TODO
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Tester.3pm*
%{_mandir}/man3/Test::Tester::Capture.3pm*
%{_mandir}/man3/Test::Tester::CaptureRunner.3pm*

%changelog
* Mon Jun 16 2014 Paul Howarth <paul@city-fan.org> 0.109-4
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4

* Mon Jul 15 2013 Paul Howarth <paul@city-fan.org> 0.109-2
- Perl 5.18 rebuild

* Sun May 26 2013 Paul Howarth <paul@city-fan.org> 0.109-1
- Update to 0.109:
  - Add minimal support for note and explain (i.e. don't crash)

* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> 0.108-2
- BR: perl(Data::Dumper), perl(Exporter), perl(lib) and perl(Test::More)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Nov 30 2011 Paul Howarth <paul@city-fan.org> 0.108-1
- Update to 0.108:
  - Do not "require threads" any longer as it can upset Test::Builder; anyone
    using threads should already have done that themselves

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> 0.107-9
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.107-5
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> 0.107-4
- Fix dist tag for RHEL-6 Beta

* Thu Mar  4 2010 Paul Howarth <paul@city-fan.org> 0.107-3
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Thu Oct  1 2009 Paul Howarth <paul@city-fan.org> 0.107-2
- Define RPM macros in global scope

* Mon Mar  3 2008 Paul Howarth <paul@city-fan.org> 0.107-1
- Update to 0.107

* Fri Nov 30 2007 Paul Howarth <paul@city-fan.org> 0.106-2
- Import from Fedora
- Cosmetic changes and dist tag
- Fix license tag
- Don't use fixperms macro

* Tue Sep 18 2007 Steven Pritchard <steve@kspei.com> 0.106-1
- Update to 0.106.
- BR Test::Builder.

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.104-2
- BR ExtUtils::MakeMaker.

* Tue Dec 26 2006 Steven Pritchard <steve@kspei.com> 0.104-1
- Update to 0.104.
- Use fixperms macro instead of our own chmod incantation.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.103-2
- Fix find option order.

* Sat Apr 08 2006 Steven Pritchard <steve@kspei.com> 0.103-1
- Specfile autogenerated by cpanspec 1.64.
- Fix License.
